

/* Estilos comunes */
.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 9999;
  transition: transform 1s ease-in-out;
}

/* Capas con diferentes colores */
.layer3 { background: #f6f3f0; z-index: 9999; }
.layer2 { background: #000; z-index: 9998; }
.layer1 { background: #f12a15; z-index: 9997; }

/* Barra de carga */
.loader-bar {
  width: 100%;
  height: 6px;
  background: #f6f3f0;
  border-radius: 3px;
  overflow: hidden;
  margin-bottom: 20px;
}
.loader-fill {
  width: 0%;
  height: 100%;
  background: #f12a15;
  transition: width 0.3s ease;
}

/* Texto de porcentaje */
.loader-percent {
  font-size: 80px;
  font-weight: 600;
  letter-spacing: -5px;
  -webkit-text-stroke: 1px black;
  color: transparent;
  position: absolute;
  margin-top: 200px;
  right: 12px;
}

/* Contenido oculto hasta que cargue */
#page-content {
  opacity: 0;
  transition: opacity 1s ease;
  position: relative;
  z-index: 1;
}
body.loaded #page-content {
  opacity: 1;
}

.contact-map {
    height: 70vh;
    filter: brightness( 100% ) contrast( 100% ) saturate( 0% ) blur( 0px ) hue-rotate( 0deg );
}

.blockquote-image {
  position: relative;
  height: 455px;
  display: block;
  overflow: hidden;
  border-radius: 10px;
  backface-visibility: hidden;
}
.blockquote-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover; /* Scale and crop to fill the container */
  object-position: center; /* Center the image within the container */
}

.blockquote-overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  transition: all .3s ease
}

.blockquote-background {
    background: linear-gradient(90deg, rgba(156, 37, 20, 1) 0, rgba(20, 20, 20, 0) 100%);
    mix-blend-mode: multiply;
}

.blockquote-details {
  position: absolute;
  bottom: 0;
  left: 0;
  overflow: hidden;
  width: 100%;
  padding: 30px;
  z-index: 2;
  text-align: left;
  color: #fff;
  hyphens: manual;
  -webkit-hyphens: manual;
  -moz-hyphens: manual;
  -ms-hyphens: manual;
}
.blockquote-details h1 {
  margin: 0;
  font-weight: 700;
}

.blockquote-list ul {
  list-style-type: square;
  margin-left: 20px;
}
.blockquote-list ul li::marker {
  color: #f12a15;
  font-size: 1.5em;
}

.highlight-text {
  font-weight: 600;
  color: #f12a15;
}

.boxed {
  box-shadow: 0 13px 27px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  margin: 15px;
  padding: 20px;
}



.lastest-card {
    position: relative
}
.lastest-card a {
  color: #333;
}

.lastest-card .build-image {
    display: table;
    width: 100%;
    position: relative;
    overflow: hidden;
    /*margin: 0 auto 25px;*/
    margin-bottom: 25px;
    border-bottom: 3px solid #f12a15
}

.lastest-card .build-image img {
    display: block;
    /*max-width: 100%;*/
    width: 100%;
    height: auto;
    -webkit-transition: all .3s linear;
    -moz-transition: all .3s linear;
    -ms-transition: all .3s linear;
    -o-transition: all .3s linear;
    transition: all .3s linear
}

.lastest-card h5 {
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -ms-transition: all .3s ease;
    -o-transition: all .3s ease;
}

.lastest-card:hover .build-image img {
    -webkit-transform: scale(1.05, 1.05);
    -moz-transform: scale(1.05, 1.05);
    -o-transform: scale(1.05, 1.05);
    -ms-transform: scale(1.05, 1.05);
    transform: scale(1.05, 1.05)
}

.lastest-card h5 {
    transition: all .3s ease
}

.lastest-card:hover h5 {
    color: #f12a15
}

.lastest-card .role {
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 3px;
    color: #979797
}

.parallax-wrapper {
  position: relative;
  overflow: hidden;
}

.parallax-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 120%; /* más grande que la sección para el movimiento */
  background-size: cover;
  background-position: center;
  will-change: transform;
  z-index: 0; /* queda detrás del contenido */
}

.spr-form {
  margin: 60vh 0 0 0;
}

.content {
  position: relative;
  z-index: 5;
  background: #f6f3f0;
}

#sb-mail 
input:-webkit-autofill,
input:-webkit-autofill:active,
input:-webkit-autofill:focus,
input:-webkit-autofill:hover {
    -webkit-text-fill-color: #fff;
}

.form-process  
input:-webkit-autofill,
input:-webkit-autofill:active,
input:-webkit-autofill:focus,
input:-webkit-autofill:hover {
    -webkit-text-fill-color: #000;
}

.d-flex {
  /*display: flex;*/
}

.stat-card {
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
}

.stat-icon {
    font-size: 40px;
    color: #f12a15;
    /* Example color - change as needed */
}

.stat-value {
    font-size: 40px;
    font-weight: bold;
}

.stat-text {
  line-height: 1.25;
}